- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Friends | List of all members
QuattroSpreadsheetInternal::Style Struct Reference

a class used to store a style of a cell in QuattroSpreadsheet More...

Inheritance diagram for QuattroSpreadsheetInternal::Style:

## Public Member Functions
| Style (libwps_tools_win::Font::Type type)
| construtor More...
bool | operator== (Style const &st) const
| operator== More...
bool | operator!= (Style const &st) const
| operator!= More...
Public Member Functions inherited from WPSCellFormat
| WPSCellFormat ()
| constructor More...
virtual | ~WPSCellFormat ()
| destructor More...
bool | hasBasicFormat () const
| returns true if this is a basic format style More...
std::string | getValueType () const
| returns a value type More...
void | addTo (librevenge::RVNGPropertyList &propList) const
| add to the propList More...
bool | getNumberingProperties (librevenge::RVNGPropertyList &propList) const
| get the number style More...
WPSFont const & | getFont () const
| returns the font More...
void | setFont (WPSFont const &font)
| sets the font More...
HorizontalAlignment | hAlignement () const
| returns the horizontal alignement More...
void | setHAlignement (HorizontalAlignment align)
| sets the horizontal alignement More...
VerticalAlignment | vAlignement () const
| returns the vertical alignement More...
void | setVAlignement (VerticalAlignment align)
| sets the vertical alignement More...
FormatType | getFormat () const
| returns the format type More...
int | getSubFormat () const
| returns the subformat type More...
std::string | getDTFormat () const
| returns the date/time format ( if set) More...
void | setFormat (FormatType form, int subForm=0)
| sets the format type More...
void | setDTFormat (FormatType form, std::string const &dtFormat="")
| sets the format type More...
int | digits () const
| returns the number of digits ( for a number) More...
void | setDigits (int newDigit)
| set the number of digits ( for a number) More...
bool | isProtected () const
| returns true if the cell is protected More...
void | setProtected (bool fl)
| returns true if the cell is protected More...
bool | hasBorders () const
| return true if the cell has some border More...
std::vector< WPSBorder > const & | borders () const
| return the cell border: libwps::LeftBit | ... More...
void | resetBorders ()
| reset the border More...
void | setBorders (int wh, WPSBorder const &border)
| sets the cell border: wh=WPSBorder::LeftBit|... More...
void | setBorders (std::vector< WPSBorder > const &newBorders)
| sets the cell borders More...
WPSColor | backgroundColor () const
| returns the background color More...
void | setBackgroundColor (WPSColor const &color)
| set the background color More...
int | compare (WPSCellFormat const &cell, bool onlyNumbering=false) const
| a comparison function More...

## Public Attributes
libwps_tools_win::Font::Type | m_fontType
| font encoding type More...
int | m_fileFormat
| the file format More...
std::string | m_extra
| extra data More...

## Friends
std::ostream & | operator<< (std::ostream &o, Style const &style)
| operator<< More...

## Additional Inherited Members
Public Types inherited from WPSCellFormat
enum | HorizontalAlignment { HALIGN_LEFT, HALIGN_RIGHT, HALIGN_CENTER, HALIGN_FULL, HALIGN_DEFAULT }
| the default horizontal alignement. More...
enum | VerticalAlignment { VALIGN_TOP, VALIGN_CENTER, VALIGN_BOTTOM, VALIGN_DEFAULT }
| the default vertical alignement. More...
enum | FormatType { F_TEXT, F_BOOLEAN, F_NUMBER, F_DATE, F_TIME, F_UNKNOWN }
| the different types of cell's field More...
Static Protected Member Functions inherited from WPSCellFormat
static bool | convertDTFormat (std::string const &dtFormat, librevenge::RVNGPropertyListVector &propListVector)
| convert a DTFormat in a propertyList More...
Protected Attributes inherited from WPSCellFormat
WPSFont | m_font
| the cell font ( used in spreadsheet code ) More...
HorizontalAlignment | m_hAlign
| the cell alignement : by default nothing More...
VerticalAlignment | m_vAlign
| the cell vertical alignement : by default nothing More...
std::vector< WPSBorder > | m_bordersList
| the cell border WPSBorder::Pos More...
FormatType | m_format
| the cell format : by default unknown More...
int | m_subFormat
| the sub format More...
std::string | m_DTFormat
| a date/time format ( using a subset of strftime format ) More...
int | m_digits
| the number of digits More...
bool | m_protected
| cell protected More...
WPSColor | m_backgroundColor
| the backgroung color More...

## Detailed Description

a class used to store a style of a cell in QuattroSpreadsheet

## Constructor & Destructor Documentation

QuattroSpreadsheetInternal::Style::Style | ( | libwps_tools_win::Font::Type | type | ) |
| inline explicit

construtor

## Member Function Documentation

bool QuattroSpreadsheetInternal::Style::operator!= | ( | Style const & | st | ) | const
| inline

operator!=

bool QuattroSpreadsheetInternal::Style::operator== | ( | Style const & | st | ) | const

operator==

Referenced by Style().

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | Style const & | style
| ) |  |
| friend

operator<<

Referenced by QuattroSpreadsheetInternal::Cell::Cell(), and Style().

## Member Data Documentation

std::string QuattroSpreadsheetInternal::Style::m_extra

extra data

Referenced by QuattroSpreadsheetInternal::operator<<(), and operator==().

int QuattroSpreadsheetInternal::Style::m_fileFormat

the file format

Referenced by QuattroSpreadsheetInternal::operator<<(), operator==(), and QuattroSpreadsheetInternal::Cell::updateFormat().

libwps_tools_win::Font::Type QuattroSpreadsheetInternal::Style::m_fontType

font encoding type

Referenced by operator==().

The documentation for this struct was generated from the following file:

- QuattroSpreadsheet.cpp